Subject: Noticed that mintty starts non-login bash with "Win+R mintty Enter".
From: Oleksandr Gavenko via Cygwin <[email-masked]>
To: [email-masked]
Date: Tue, 05 Jan 2021 00:33:36 +0200
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

I interact with Cygwin via mintty launched as "Win+R mintty Enter".

During first launch of "exim-config" script existed with an error:

  /usr/bin/exim-config: line 447: USER: unbound variable

After looking into docs I got that mintty should be launched with a parameter "-".

Probably it was always that way.

================

Checking POSIX standard on what might be defined in login shell:

https://pubs.opengroup.org/onlinepubs/7908799/xbd/envvar.html (1997)
https://pubs.opengroup.org/onlinepubs/009696899/basedefs/xbd_chap08.html (2004)

I noticed that USER is mentioned but LOGNAME is not only mentioned by
description is given:

  The system shall initialize this variable at the time of login to be the
  user's login name.

Cygwin's /etc/profile has:

  # Set the user id
  USER="$(/usr/bin/id -un)"

but there is nothing for LOGNAME... Shouldn't /etc/profile set LOGNAME too?

-- 
http://defun.work/

--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple